Bug 1203257 - build recoll kio slave for kde?
Summary: build recoll kio slave for kde?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: recoll
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 13:27 UTC by Richard Z.
Modified: 2015-04-25 16:24 UTC (History)
3 users (show)

Fixed In Version: recoll-1.20.5-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 19:31:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Z. 2015-03-18 13:27:28 UTC
The docs mention the possibility to build a recoll kio slave for queries:

http://www.lesbonscomptes.com/recoll/usermanual/RCL.SEARCH.KIO.html

The build instructions should be in kde/kio/recoll/00README.txt

Would that be useful for Fedora?

Comment 2 Richard Z. 2015-03-22 10:08:27 UTC
thanks, I would need the i686 rpm or source rpm to test it - could not find these?

Comment 4 Richard Z. 2015-03-22 12:57:46 UTC
somehow not working for me, tried

dolphin "recollf:/"

and

konqueror "recoll:/"

and getting 
  klauncher said: Error loading 'kio_recoll'.

which is odd, because all files seem in their place.

Will try again when I have a chance to reboot the system.

Comment 5 Richard Z. 2015-03-23 11:40:55 UTC
got at the core of the problem:

/usr/lib/kde4/kio_recoll.so references librecoll.so.1.20.2 which isn't in the default library path but in /usr/lib/recoll/

Comment 6 Richard Z. 2015-03-26 14:32:11 UTC
can you give me a pointer to the SRPM or specfile so I can play with the build and see how to fix the linker flags?

Comment 7 Terje Røsten 2015-03-26 17:08:20 UTC
http://pkgs.fedoraproject.org/cgit/recoll.git

Comment 8 Richard Z. 2015-03-29 13:58:52 UTC
Don't see the newest change to build the kio slave in the repo?

Comment 9 Terje Røsten 2015-04-06 15:02:31 UTC
Updated package, please test:
 
 http://koji.fedoraproject.org/koji/taskinfo?taskID=9421925

Comment 10 Richard Z. 2015-04-06 20:00:26 UTC
Works great :)

Comment 11 Fedora Update System 2015-04-07 19:11:22 UTC
recoll-1.20.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/recoll-1.20.5-1.fc20

Comment 12 Fedora Update System 2015-04-07 19:11:28 UTC
recoll-1.20.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/recoll-1.20.5-1.fc21

Comment 13 Fedora Update System 2015-04-07 19:11:35 UTC
recoll-1.20.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/recoll-1.20.5-1.fc22

Comment 14 Fedora Update System 2015-04-08 18:36:41 UTC
Package recoll-1.20.5-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing recoll-1.20.5-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5772/recoll-1.20.5-1.fc22
then log in and leave karma (feedback).

Comment 15 hannes 2015-04-11 12:23:39 UTC
Is this the reason I need to install kde libs now? I was using it in Xfce quite nicely, but like this it's a bit too much for me.

Comment 16 Terje Røsten 2015-04-11 12:46:02 UTC
Yeah, I understand. Will create a sub package for this stuff, thanks for the report.

Comment 17 hannes 2015-04-11 13:08:36 UTC
Thanks a lot! This is awesome! :-)

Comment 18 Terje Røsten 2015-04-11 13:10:24 UTC
No problem, fix is just a few lines.

Comment 19 Fedora Update System 2015-04-21 19:31:08 UTC
recoll-1.20.5-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-04-22 22:48:29 UTC
recoll-1.20.5-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-04-22 22:56:34 UTC
recoll-1.20.5-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-04-23 19:29:59 UTC
gretl-1.10.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gretl-1.10.1-2.fc22

Comment 23 Fedora Update System 2015-04-23 19:30:06 UTC
gretl-1.10.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gretl-1.10.1-2.fc21

Comment 24 Fedora Update System 2015-04-23 19:30:12 UTC
gretl-1.10.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gretl-1.10.1-2.fc20

Comment 25 hannes 2015-04-23 19:33:07 UTC
Sorry, copied the wrong bug number from my e-mail client to bodhi.

Comment 26 Richard Z. 2015-04-25 16:24:17 UTC
The library path error did creep back into recoll-kio.i686 0:1.20.5-2.fc21 :

Could not open library '/usr/lib/kde4/kio_recoll.so'.
Cannot load library /usr/lib/kde4/kio_recoll.so: (librecoll.so.1.20.5: cannot open shared object file: No such file or directory)
klauncher(10026)/kio (KLauncher) KLauncher::processRequestReturn: "kio_recoll"  failed.
dolphin(10012): couldn't create slave: "Unable to create io-slave:
klauncher said: Error loading 'kio_recoll'.


Note You need to log in before you can comment on or make changes to this bug.